//---------------------------------------------------------------------------

#ifndef mainH
#define mainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "wclSerialDevices.hpp"
#include <ComCtrls.hpp>
//---------------------------------------------------------------------------
class TfmMain : public TForm
{
__published:	// IDE-managed Components
        TButton *btEnum;
        TListView *lvDevices;
        TButton *btStart;
        TButton *btStop;
        TListBox *lbEvents;
        TButton *btClear;
        TwclUsbMonitor *wclUsbMonitor;
        TButton *btEnable;
        TButton *btDisable;
        void __fastcall btEnumClick(TObject *Sender);
        void __fastcall btClearClick(TObject *Sender);
        void __fastcall btStartClick(TObject *Sender);
        void __fastcall btStopClick(TObject *Sender);
        void __fastcall wclUsbMonitorInserted(TObject *Sender,
          const TwclUsbDevice &Device);
        void __fastcall wclUsbMonitorRemoved(TObject *Sender,
          const TwclUsbDevice &Device);
        void __fastcall FormDestroy(TObject *Sender);
        void __fastcall btEnableClick(TObject *Sender);
        void __fastcall btDisableClick(TObject *Sender);
private:	// User declarations
public:		// User declarations
        __fastcall TfmMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfmMain *fmMain;
//---------------------------------------------------------------------------
#endif
